# Created by pyp2rpm-3.2.3
%global pypi_name pytest-httpbin

Name:           python-%{pypi_name}
Version:        0.3.0
Release:        1%{?dist}
Summary:        Easily test your HTTP library against a local copy of httpbin

License:        MIT
URL:            https://github.com/kevin1024/pytest-httpbin
Source0:        https://files.pythonhosted.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python2-devel
BuildRequires:  python2-setuptools

%description
pytest-httpbin httpbin is an amazing web service for testing HTTP libraries. It
has several great endpoints that can test pretty much everything you need in a
HTTP library. The only problem is: maybe you don't want to wait for your tests
to travel across the Internet and back to make assertions against a remote web
Enter pytest-httpbin. Pytest-httpbin creates a pytest "fixture" that is...

%package -n     python2-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python2-%{pypi_name}}
 
Requires:       python2-httpbin
Requires:       python2-setuptools
Requires:       python2-six
%description -n python2-%{pypi_name}
pytest-httpbin httpbin is an amazing web service for testing HTTP libraries. It
has several great endpoints that can test pretty much everything you need in a
HTTP library. The only problem is: maybe you don't want to wait for your tests
to travel across the Internet and back to make assertions against a remote web
Enter pytest-httpbin. Pytest-httpbin creates a pytest "fixture" that is...


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py2_build

%install
%py2_install


%files -n python2-%{pypi_name}
%doc 
%{python2_sitelib}/pytest_httpbin
%{python2_sitelib}/pytest_httpbin-%{version}-py?.?.egg-info

%changelog
* Thu Nov 16 2017 mockbuilder - 0.3.0-1
- Initial package.